Skip to main content
GET
/
v1
/
decisions
List lending decisions
curl --request GET \
  --url https://api.swippee.com/v1/decisions \
  --header 'Authorization: Bearer <token>'
{
  "error_type": "AUTHENTICATION_ERROR",
  "error_code": "INVALID_API_KEY",
  "error_message": "Unknown API key.",
  "display_message": null,
  "request_id": "req_8f3c9b2e4a1d4f7c9e0b1a2c3d4e5f60",
  "documentation_url": "https://docs.swippee.com/concepts/errors#invalid_api_key",
  "suggested_action": "Check your API key in the Authorization header."
}

Authorizations

Authorization
string
header
required

Your API key from the dashboard, sent as Authorization: Bearer swippee_sk_live_....

Query Parameters

outcome
enum<string>
Available options:
repaid,
delinquent,
defaulted,
written_off
limit
integer
default:50
Required range: x <= 200

Response

Recorded decisions